<template>
  <v-card>
    <v-card-text>
      <v-list>
        <v-list-item
          v-for="(message, index) in messages"
          :key="'message' + index"
        >
          <v-list-item-icon>
            <v-icon>mdi-email-check</v-icon>
          </v-list-item-icon>
          <v-list-item-content>
            <v-list-item-title>{{ message }}</v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </v-card-text>
  </v-card>
</template>

<script>
export default {
  name: "MessageVisualizer",
  data: () => {},
  computed: {
    messages() {
      return this.$store.getters["coms/messages"];
    },
  },
};
</script>